#define NAGRAUDIO_VERSION "0.55 MMX"
#define BUFFER_MUL  441        /*Thanx Vigata! */
//#define NUM_BUFFERS 6 
#define NUM_BUFFERS 4        /*Must be x4  MMx ! */
#define SIZE_BUFFER NUM_BUFFERS*BUFFER_MUL
#define NAGRA_FREQ  12800
#define PRECISSION  15
#define MAX_ORDER   7
#define MAX_GAIN    3

#define DEFAULT_FILE_PATH "/tmp"

#ifdef ALSA

#define MONO_STEREO 1        /* 1 Mono, 2 Stereo */
#define FORMAT      SND_PCM_SFMT_S16_LE
#define FRAGMENT_S  2048
#define NUMBER_FRAG 32

int prepare_card_alsa (void);

#else

#define MONO_STEREO 0        /* 0 Mono, 1 Stereo */
#define FORMAT16    AFMT_S16_LE
#define FORMAT8     AFMT_U8
#define FRAGMENTS   0x0030000b    /* Frags of 2048 bytes */

int prepare_card_oss (int bits);

#endif

void close_card (void);
void *nagraudio_main (void *);
void parse_nagraudio_config_line (char *tag, char *val, char *filename,
                  int nr);
void save_nagraudio_config (FILE * fp);
void read_nagraudio_config (void);
