#ifndef CONST_H
#define CONST_H

#ifndef PREFIX
# define PREFIX "/usr/local"
#endif
#define KEYPATH PREFIX "/share/xawdecode"

/* Default-Anzahl der Probepunkte pro Zeile, mu ein Vielfaches von 8 sein */
#define CX_COUNT         32

/* Anzahl der korrelierten Zeilen */
#define NB_COUPLES_MIN         4
#define NB_COUPLES_MAX         88
#define NB_COUPLES_STEP       4

/* Default-Anzahl der zu korrelierenden Zeilen ohne und mit WSS-Line */
#define NB_COUPLES         28
#define NB_COUPLES_WSS         64

#define YSIZE              287
#define NB_KEYS          32768

/* The correlation use only the lines after LINE_MIN */
#define CLINE_MIN         96

/* The correlation use only the lines before LINE_MAX */
#define CLINE_MAX         (286-96)

// #define VBIDEBUG

/* nicht ndern !! */
#define BURSTOFFSET 76

#endif
